CANVAS_SPECIFY(3)

FUNCTION
canvas_specify - Set specification information for a world canvas.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_specify

(KWorldCanvas canvas, CONST char *xlabel, CONST char *ylabel, unsigned int num_restr, CONST char **restr_names, CONST double *restr_values)

DESCRIPTION
This routine will change the specifications for a canvas. This includes the horizontal and vertical dimension labels and any restrictions. The entire specification is copied (i.e. the inputs may be freed).

canvas
    The world canvas object.

xlabel
    The horizontal dimension label.

ylabel
    The vertical dimension label.

num_restr
    The number of restrictions.

restr_names
    The array of restriction names.

restr_values
    The restriction values.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTES
This routine DOES NOT cause the canvas to be refreshed. It is highly recommended that the canvas is refreshed after this routine, as higher level packages may depend on the specification information.

All string values are copied.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/